Summary:	KAKASI - kanji kana simple inverter
Summary(pl.UTF-8):	KAKASI - prosty konwerter kanji - kana
Name:		kakasi
Version:	2.3.4
Release:	5
License:	GPL
Group:		Applications/Text
Source0:	ftp://kakasi.namazu.org/pub/kakasi/stable/%{name}-%{version}.tar.gz
# Source0-md5:	4eff51aafbd56c9635791a20c03efa8f
URL:		http://kakasi.namazu.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji(1) and may be helpful to read Japanese
documents. Word-splitting patch has merged from version 2.3.0.

%description -l ja.UTF-8
KAKASI は漢字かなまじり文をひらがな文やローマ字文に変換することを
目的として作成したプログラムと辞書の総称です。さらに、バージョン 2.3.0
からは、分かち書きパッチがマージされました。

%description -l pl.UTF-8
KAKASI to filtr konwertujący japońskie znaki Kanji na Hiragana,
Katakana lub Romaji(1), który może być pomocny przy czytaniu
japońskich dokumentów. Od wersji 2.3.0 zawiera poprawkę na dzielenie
słów.

%package devel
Summary:	KAKASI header files
Summary(pl.UTF-8):	Pliki nagłówkowe KAKASI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
KAKASI header files.

%description devel -l ja.UTF-8
KAKASIのヘッダファイル及びライブラリです。

%description devel -l pl.UTF-8
Pliki nagłówkowe KAKASI.

%package static
Summary:	KAKASI static library
Summary(pl.UTF-8):	Statyczna biblioteka KAKASI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
KAKASI static library.

%description static -l pl.UTF-8
Biblioteka statyczna KAKASI.

%package dict
Summary:	The base dictionary of KAKASI
Summary(pl.UTF-8):	Podstawowy słownik KAKASI
Group:		Applications/Text
Obsoletes:	kakasidict
Requires:	%{name} = %{version}-%{release}

%description dict
The base dictionary of KAKASI.

%description dict -l ja.UTF-8
KAKASIの基本辞書です。

%description dict -l pl.UTF-8
Podstawowy słownik KAKASI.

%prep
%setup -q

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/ja/man1
install doc/kakasi.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%lang(ja) %doc NEWS ONEWS README-ja TODO doc/JISYO doc/README.lib doc/README.wakati
%attr(755,root,root) %{_bindir}/[^k]*
%attr(755,root,root) %{_bindir}/kakasi
%attr(755,root,root) %{_libdir}/libkakasi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkakasi.so.2
%lang(ja) %{_mandir}/ja/man1/kakasi.1*
%dir %{_datadir}/kakasi
%{_datadir}/kakasi/itaijidict

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kakasi-config
%attr(755,root,root) %{_libdir}/libkakasi.so
%{_libdir}/libkakasi.la
%{_includedir}/libkakasi.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libkakasi.a

%files dict
%defattr(644,root,root,755)
%{_datadir}/kakasi/kanwadict
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kakasi.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 4445131
- x32 rebuild
- release 5 (by relup.sh)

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ca88735
- ghost soname symlink
- rel 4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 26d3718
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d34b1a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 02dac46
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 2c9b708
- strict internal deps

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> e2b8226
- typos / formatting / etc.

* Fri Jan 02 2004 Jacek Konieczny <jajcus@pld-linux.org> 1dae606
- Release: 2 (STBR after AMD64 fixes)

* Sat Dec 27 2003 Jacek Konieczny <jajcus@pld-linux.org> c05a986
- copy config.sub from automake

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 8b41c35
- caps unification, other cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e3af029
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 27b6641
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> c4b0e96
- massive attack: no need for 755 for *.la

* Wed May 22 2002 Jakub Bogusz <qboosh@pld-linux.org> 6ae4f06
- new %doc, cleanup

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 6ec435f
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

* Thu Mar 07 2002 Jakub Bogusz <qboosh@pld-linux.org> 37dec98
- based on spec from RedHat, updated to 2.3.4

